{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";

  outputs = {self, nixpkgs,}:
  let
    system = "x86_64-linux";
    pkgs = import nixpkgs {inherit system;};
    lib = pkgs.lib;
    stdenv = pkgs.stdenv;
    fetchFromGitHub = pkgs.fetchFromGitHub;
    shq = lib.strings.escapeShellArg;
    libansilove = stdenv.mkDerivation rec {
      pname = "libansilove";
      version = "1.4.1";
      
      src = fetchFromGitHub {
        owner = "ansilove";
        repo = "libansilove";
        rev = version;
        hash = "sha256-5ieahoxxT+7O47ZNP0hRzUOSCg9ayTqDq0soMhmVNpk=";
      };
      
      nativeBuildInputs = [ pkgs.cmake ];
      buildInputs = [ pkgs.gd ];
    };
  in {
    packages.${system} = {
      default = stdenv.mkDerivation rec {
        pname = "ansilove";
        version = "4.2.0";
        
        src = fetchFromGitHub {
          owner = "ansilove";
          repo = "ansilove";
          rev = version;
          hash = "sha256-cIJBerIbVY/V2LVupBLapmeHDWlBd49M5IjKPFM5OcE=";
        };
        
        nativeBuildInputs = [ pkgs.cmake ];
        buildInputs = [ libansilove ];
      };
      libansilove = libansilove;
    };
  };
}
